Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.model
Class LabelValue

    java.lang.Object
      com.gisgraphy.model.LabelValue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LabelValue>

    public class LabelValue

extends java.lang.Object
implements java.lang.Comparable<LabelValue>, java.io.Serializable

A simple JavaBean to represent label-value pairs. This is most commonly used when constructing user interface elements which have a label to be displayed to the user, and a corresponding value to be returned to the server. One example is the `<html:options>` tag.

Note: this class has a natural ordering that is inconsistent with equals.

See Also:
  Serialized Form

Field Summary
`static java.util.Comparator<LabelValue>` | `CASE_INSENSITIVE_ORDER` Comparator that can be used for a case insensitive sort of `LabelValue` objects.

Constructor Summary
`LabelValue()` Default constructor.
`LabelValue(java.lang.String label, java.lang.String value)` Construct an instance with the supplied property values.

Method Summary
`int` | `compareTo(LabelValue o)` Compare LabelValueBeans based on the label, because that's the human viewable part of the object.
`boolean` | `equals(java.lang.Object obj)` LabelValueBeans are equal if their values are both null or equal.
`java.lang.String` | `getLabel()`
`java.lang.String` | `getValue()`
`int` | `hashCode()` The hash code is based on the object's value.
`void` | `setLabel(java.lang.String label)`
`void` | `setValue(java.lang.String value)`
`java.lang.String` | `toString()` Return a string representation of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CASE_INSENSITIVE_ORDER

    public static final java.util.Comparator<LabelValue> CASE_INSENSITIVE_ORDER

  Comparator that can be used for a case insensitive sort of `LabelValue` objects.

Constructor Detail

### LabelValue

    public LabelValue()

  Default constructor.

### LabelValue

    public LabelValue(java.lang.String label,
                      java.lang.String value)

  Construct an instance with the supplied property values.

  Parameters:
    `label` - The label to be displayed to the user.
    `value` - The value to be returned to the server.

Method Detail

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### compareTo

    public int compareTo(LabelValue o)

  Compare LabelValueBeans based on the label, because that's the human viewable part of the object.

  Specified by:
    `compareTo` in interface `java.lang.Comparable<LabelValue>`
  Parameters:
    `o` - LabelValue object to compare to
  Returns:
    0 if labels match for compared objects
  See Also:
    `Comparable`

### toString

    public java.lang.String toString()

  Return a string representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    object as a string

### equals

    public boolean equals(java.lang.Object obj)

  LabelValueBeans are equal if their values are both null or equal.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - object to compare to
  Returns:
    true/false based on whether values match or not
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  The hash code is based on the object's value.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    hashCode
  See Also:
    `Object.hashCode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.